Name:		perl-Net-UPnP
Version:	1.4.2
Epoch:		1
Release:	1%{?dist}
Summary:	Perl extension for UPnP
License:	BSD
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Net-UPnP/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SK/SKONNO/Net-UPnP-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package provides some functions to control UPnP devices.

%prep
%setup -q -n Net-UPnP-%{version}
# Fix file attributes
find -name '*.pm' -exec chmod a-x '{}' \;

# Fix shebangs
for file in examples/*.pl; do
 sed "s|/usr/local/bin/perl|/usr/bin/perl|g" $file > $file.mod && \
 touch -r $file $file.mod && \
 mv $file.mod $file
done


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Dec 27 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1:1.4.2-1
- Update to 1.4.2.
- Fix spelling in rpm version: 1.4.1 instead of previous 1.41.

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.4.1-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 15 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.4.1-3
- Review fixes.

* Sun Apr 12 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.4.1-2
- Add missing BR: Test::More.

* Sun Apr 12 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.4.1-1
- Specfile autogenerated by cpanspec 1.77.

